#! /bin/bash

trap "echo '*** BUILD FAILED! ***' 1>&2" ERR
set -ex -o pipefail
umask 022
export PATH='/bin:/usr/bin:/usr/local/bin'
export CFLAGS=${CFLAGS:--Os}
export CXXFLAGS=${CXXFLAGS:--Os}

rebuild () {
    tar xjf dejavu-fonts-ttf-2.29.tar.bz2
    cd dejavu-fonts-ttf-2.29
    mkdir -p ../ttf-dejavu-minimal/etc/fonts/conf.d \
	    ../ttf-dejavu-minimal/share/fonts/truetype/ttf-dejavu
    cp fontconfig/* ../ttf-dejavu-minimal/etc/fonts/conf.d/
    eval cp ttf/DejaVu{Sans,SansMono,Serif}.ttf \
	    ../ttf-dejavu-minimal/share/fonts/truetype/ttf-dejavu/
    cd ..
    rm -rf dejavu-fonts-ttf-2.29
}

while read FN; do
    eval "[ -e $FN ] || rebuild"
done < MANIFEST

ARCH=`ipkg -V 0 print_architecture | tail -n 1 | cut -f2 -d' '`
for CTRLFILE in */CONTROL/control; do
    sed -i -e "s/__ARCH__/$ARCH/g" $CTRLFILE
    sudo ipkg-build -o root -g root `dirname $CTRLFILE`/..
done
